Highlights:
   - **Android**
      - Fix Android get height issue (#4743) (by **Ye Kuang**)
   - **Aot module**
      - Support template args in AOT module add_kernel (#4748) (by **Ye Kuang**)
   - **Automatic differentiation**
      - Implement ti.ad.no_grad to skip autograd (#4751) (by **Shawn Yao**)
   - **Bug fixes**
      - Remove redundant AllocStmt when lowering FrontendWhileStmt (#4870) (by **Zhanlue Yang**)
      - Fix and refactor type check for atomic ops (#4858) (by **Yi Xu**)
      - Fix and refactor type check for local stores (#4843) (by **Yi Xu**)
      - Fix implicit cast warning for global stores (#4834) (by **Yi Xu**)
      - Fix warnings (#4730) (by **Peng Yu**)
   - **Build system**
      - Improve Windows build script (#4955) (by **PENGUINLIONG**)
      - Improved building on Windows (#4925) (by **PENGUINLIONG**)
      - Define Cmake OpenGL runtime target (#4887) (by **Bo Qiao**)
      - Use keywords instead of plain target_link_libraries CMake (#4864) (by **Bo Qiao**)
      - Define runtime build target (#4838) (by **Bo Qiao**)
      - Switch to scikit-build as the build backend (#4624) (by **Frost Ming**)
   - **Documentation**
      - Fix netlify cache & sync doc without pr content (#5003) (by **Justin**)
      - Update trouble shooting URL in bug report template (#4988) (by **Haidong Lan**)
      - Updated URL (#4990) (by **Vissidarte-Herman**)
      - Fix docs deploy netlify test configuration (#4991) (by **Justin**)
      - Updated relative path (#4929) (by **Vissidarte-Herman**)
      - Updated broken links (#4912) (by **Vissidarte-Herman**)
      - Updated links that may break. (#4874) (by **Vissidarte-Herman**)
      - Add limitation about TLS optimization (#4877) (by **Ailing**)
      - Updated URL (#4847) (by **Vissidarte-Herman**)
      - LLVM sparse runtime design doc (#4790) (by **yekuang**)
      - Proofread Getting started (#4682) (by **Vissidarte-Herman**)
      - Editorial review to fields (advanced) (#4686) (by **Vissidarte-Herman**)
      - Update docstring for ti.Mesh (#4818) (by **Chang Yu**)
      - Remove redundant semicolon in path (#4801) (by **gaoxinge**)
      - Update community standard (#4759) (by **notginger**)
      - Propose the RFC process (#4755) (by **Ye Kuang**)
      - Fixed a broken link (#4758) (by **Vissidarte-Herman**)
      - Taichi spec: conditional expressions and simple statements (#4728) (by **Xiangyun Yang**)
      - Taichi spec: For (#4689) (by **Lin Jiang**)
      - Taichi spec: static expressions (#4702) (by **Lin Jiang**)
      - Taichi spec: assignment expressions (#4725) (by **Xiangyun Yang**)
      - Taichi spec: boolean operations (#4724) (by **Xiangyun Yang**)
      - Fix 4 typos in doc (#4714) (by **Jiayi Weng**)
      - Update docstring for module misc (#4644) (by **Zhao Liang**)
      - Remove extension_libraries in doc site (#4696) (by **LittleMan**)
      - Taichi spec: prims, attributes, subscriptions, slicings (#4697) (by **Yi Xu**)
      - Refactored GUI.md (#4672) (by **Vissidarte-Herman**)
   - **Documentation**
      - Change License from MIT to Apache-2.0 (#4701) (by **notginger**)
   - **Error messages**
      - Show warning when serialize=True is set on a struct for (#4844) (by **Lin Jiang**)
      - Provide source code info in warnings (#4840) (by **Yi Xu**)
      - Raise an error when non-static condition is passed into ti.static_assert (#4735) (by **Lin Jiang**)
   - **Language and syntax**
      - Refactor quantized_types module and make quant APIs public (#4985) (by **Yi Xu**)
      - Add more functions to math module (#4939) (by **Zhao Liang**)
      - Support sparse matrix datatype and storage format configuration (#4673) (by **pengyu**)
      - Copy-free interaction between Taichi and PaddlePaddle (#4886) (by **0xzhang**)
      - Add single character property for vector swizzle &&  test (#4845) (by **Zhao Liang**)
      - Remove obsolete vectypes class (#4831) (by **LiangZhao**)
      - Add support for keyword arguments (#4794) (by **Lin Jiang**)
      - Support swizzles on all Matrix/Vector types (#4828) (by **yekuang**)
      - Add 2d and 3d rotation functions to math module (#4822) (by **Zhao Liang**)
      - Walkaround Vulkan backend behavior which changes cwd on Mac (#4812) (by **TiGeekMan**)
      - Add mod function to math module (#4809) (by **Zhao Liang**)
      - Support in-place operator of ti.Matrix in python scope (#4799) (by **Lin Jiang**)
      - Move short-circuit boolean logic into AST-to-IR passes (#4580) (by **daylily**)
      - Promote output type of log, exp, and sqrt ops (#4622) (by **Andrew Sun**)
      - Fix integral type promotion rules (e.g., u8 + u8 now leads to u8 instead of i32) (#4789) (by **Yuanming Hu**)
      - Add basic complex arithmetic and add a mandelbrot example (#4780) (by **Zhao Liang**)
      - Deprecate ti.pyfunc (#4764) (by **Lin Jiang**)
      - Add vector swizzle feature to math module (#4629) (by **TiGeekMan**)
      - Add 2x2/3x3 matrix solve with Guass elimination (#4634) (by **Peng Yu**)
      - Let assertion error message support f-string (#4700) (by **Lin Jiang**)
   - **SIMT programming**
      - Add uni_sync warp intrinsics (#4927) (by **0xzhang**)
      - Add activemask warp intrinsics (#4918) (by **Zeyu Li**)
      - Add syncwarp warp intrinsics (#4917) (by **Zeyu Li**)
      - Add shfl_down_f32 intrinsic. (#4819) (by **Chun Cai**)
      - Add all_sync warp intrinsics (#4718) (by **Yongmin Hu**)
      - Add any_sync warp intrinsics (#4719) (by **Yongmin Hu**)
      - Use correct source lane offset for warp intrinsics (#4734) (by **Bo Qiao**)
      - Add shfl_xor_i32 warp intrinsics (#4642) (by **Yongmin Hu**)
      - Add shfl_sync_i32/f32 warp intrinsics (#4717) (by **Yongmin Hu**)
   - **GitHub Actions/Workflows**
      - Update release_test.sh (#4960) (by **Chuandong Yan**)

Full changelog:
   - [refactor] Free ndarray's memory when python GC triggers (by **Ailing Zhang**)
   - [refactor] Construct ndarray from existing DeviceAllocation. (by **Ailing Zhang**)
   - [test] Add test for Ndarray from DeviceAllocation (by **Ailing Zhang**)
   - [refactor] Program owns allocated ndarrays. (by **Ailing Zhang**)
   - [Doc] Fix netlify cache & sync doc without pr content (#5003) (by **Justin**)
   - [test] Fix a few mis-configured ndarray tests (#5000) (by **Ailing**)
   - Update README.md (by **Vissidarte-Herman**)
   - [Lang] [type] Refactor quantized_types module and make quant APIs public (#4985) (by **Yi Xu**)
   - [Doc] Update trouble shooting URL in bug report template (#4988) (by **Haidong Lan**)
   - [Doc] Updated URL (#4990) (by **Vissidarte-Herman**)
   - [Doc] Fix docs deploy netlify test configuration (#4991) (by **Justin**)
   - [llvm] Use serializer for LLVM cache (#4982) (by **yekuang**)
   - Provision of prebuilt LLVM 10 for VS2022 (#4987) (by **PENGUINLIONG**)
   - [Workflow] Update release_test.sh (#4960) (by **Chuandong Yan**)
   - [cuda] Add block and grid level intrinsic for cuda backend (#4977) (by **YuZhang**)
   - [bug] Fix infinite recursion of get_offline_cache_key_of_snode_impl() (#4983) (by **PGZXB**)
   - [misc] Add ASTSerializer::visit(ReferenceExpression *) (#4984) (by **PGZXB**)
   - [llvm] Support both BC and LL cache format (#4979) (by **yekuang**)
   - [refactor] Improve serializer and cleanup utils (#4980) (by **yekuang**)
   - [Build] Improve Windows build script (#4955) (by **PENGUINLIONG**)
   - [llvm] Make cache writer support BC format (#4978) (by **yekuang**)
   - [ci] [build] Containerize Windows CPU build and test (#4933) (by **Bo Qiao**)
   - [llvm] Make codegen produce static llvm::Module (#4975) (by **yekuang**)
   - [test] Add an ndarray test in C++. (#4972) (by **Ailing**)
   - [build] Fixed Ilegal Instruction Error when importing PaddlePaddle module (#4969) (by **Zhanlue Yang**)
   - [llvm] Create ModuleToFunctionConverter (#4962) (by **yekuang**)
   - [bug] [simt] Fix the problem that some intrinsics are never called (#4957) (by **Yi Xu**)
   - [vulkan] Set kApiVersion to VK_API_VERSION_1_3 (#4970) (by **Haidong Lan**)
   - [ci] Add new buildbot with latest driver for Linux/Vulkan test (#4953) (by **Bo Qiao**)
   - [RFC] AOT for all SNodes (#4806) (by **yekuang**)
   - [llvm] Move cache directory to dump() (#4963) (by **yekuang**)
   - [lang] Add reference type support on real functions (#4889) (by **Lin Jiang**)
   - [refactor] Some renamings (#4959) (by **yekuang**)
   - [refactor] Add ArrayMetadata to store the array runtime size (#4950) (by **yekuang**)
   - [lang] [bug] Implement Expression serializing and fix some bugs (#4931) (by **PGZXB**)
   - [Lang] Add more functions to math module (#4939) (by **Zhao Liang**)
   - [Build] Improved building on Windows (#4925) (by **PENGUINLIONG**)
   - [ci] Fix Nightly (#4948) (by **Bo Qiao**)
   - [build] Limit -Werror to Clang-compiler only (#4947) (by **Zhanlue Yang**)
   - [refactor] [llvm] Remove struct_compiler_ as a member variable (#4945) (by **yekuang**)
   - [build] Turned off -Werror temporarily for issues with performance-bot (#4946) (by **Zhanlue Yang**)
   - [refactor] Remove unused snode_trees in ProgramImpl interface (#4942) (by **yekuang**)
   - [doc] Updated documentations for implicit type casting rules (#4885) (by **Zhanlue Yang**)
   - [build] Turn on -Werror on Linux and Mac platforms (#4928) (by **Zhanlue Yang**)
   - [build] Enable -Werror on Linux & Mac (#4941) (by **Zhanlue Yang**)
   - [SIMT] Add uni_sync warp intrinsics (#4927) (by **0xzhang**)
   - [lang] Fix type check warnings for ti.Mesh (#4930) (by **Chang Yu**)
   - [Lang] Support sparse matrix datatype and storage format configuration (#4673) (by **pengyu**)
   - [Doc] Updated relative path (#4929) (by **Vissidarte-Herman**)
   - [refactor] Simplify Matrix's initializer (#4923) (by **yekuang**)
   - [build] Warning Suppression PR #4: Fixed warnings with MacOS (#4926) (by **Zhanlue Yang**)
   - [build] Warning Suppression PR #3: Eliminate warnings from third-party headers (#4920) (by **Zhanlue Yang**)
   - [SIMT] Add activemask warp intrinsics (#4918) (by **Zeyu Li**)
   - [build] Warning Suppression PR #1: Turned on -Wno-ignored-attributes & Removed unused functions (#4916) (by **Zhanlue Yang**)
   - [refactor] Create MatrixImpl to differentiate Taichi and Python scopes (#4853) (by **yekuang**)
   - [SIMT] Add syncwarp warp intrinsics (#4917) (by **Zeyu Li**)
   - [build] Warning Suppression PR #2: Fixed codebase warnings (#4909) (by **Zhanlue Yang**)
   - [test] Exit on error during Paddle windows test (#4910) (by **Bo Qiao**)
   - [Doc] Updated broken links (#4912) (by **Vissidarte-Herman**)
   - remove debug print (#4883) (by **yixu**)
   - [test] Cancel tests for Paddle on GPU (#4914) (by **0xzhang**)
   - [Lang] [test] Copy-free interaction between Taichi and PaddlePaddle (#4886) (by **0xzhang**)
   - Use Ninja generator on Windows and skip generator test (#4896) (by **Frost Ming**)
   - [vulkan] Add new VMA vulkan functions. (#4893) (by **Bob Cao**)
   - [vulkan] Fix typo for waitSemaphoreCount (#4892) (by **Gabriel H**)
   - [Build] [refactor] Define Cmake OpenGL runtime target (#4887) (by **Bo Qiao**)
   - [aot] [vulkan] Expose symbols for AOT (#4879) (by **yekuang**)
   - [bug] Fixed type promotion rule for bit-shift operations (#4884) (by **Zhanlue Yang**)
   - [Build] [refactor] Use keywords instead of plain target_link_libraries CMake (#4864) (by **Bo Qiao**)
   - [metal] Migrate runtime's MTLBuffer allocation to unified device API (#4865) (by **yekuang**)
   - [error] [lang] Improved error messages for illegal slicing or indexing to ti.field (#4873) (by **Zhanlue Yang**)
   - [Doc] Updated links that may break. (#4874) (by **Vissidarte-Herman**)
   - [metal] Complete Device API (#4862) (by **yekuang**)
   - [vulkan] Device API explicit semaphores (#4852) (by **Bob Cao**)
   - [build] Change the library output dir for export core (#4880) (by **Frost Ming**)
   - [refactor] Add ASTSerializer and use it to generate offline-cache-key (#4863) (by **PGZXB**)
   - [ci] Use the updated docker image for libtaichi_export_core (#4881) (by **Bo Qiao**)
   - [Doc] Add limitation about TLS optimization (#4877) (by **Ailing**)
   - [Build] [refactor] Define runtime build target (#4838) (by **Bo Qiao**)
   - [ci] Add libtaichi_export_core build for desktop in CI (#4871) (by **Ailing**)
   - [build] [bug] Fix a bug of skbuild that loses the root package_dir (#4875) (by **Frost Ming**)
   - [Bug] Remove redundant AllocStmt when lowering FrontendWhileStmt (#4870) (by **Zhanlue Yang**)
   - [misc] Bump version to v1.0.2 (#4867) (by **Taichi Gardener**)
   - [build] Install export core library to build dir (#4866) (by **Frost Ming**)
   - [Build] Switch to scikit-build as the build backend (#4624) (by **Frost Ming**)
   - [gui] Avoid implicit type casts in staging_buffer (#4861) (by **Yi Xu**)
   - [lang] Add better error detection for swizzle patterens (#4860) (by **yekuang**)
   - [Bug] [ir] Fix and refactor type check for atomic ops (#4858) (by **Yi Xu**)
   - [Doc] Updated URL (#4847) (by **Vissidarte-Herman**)
   - [bug] Fix bug that building with TI_EXPORT_CORE:BOOL=ON failed (#4850) (by **PGZXB**)
   - [Error] Show warning when serialize=True is set on a struct for (#4844) (by **Lin Jiang**)
   - [lang] Group related Matrix methods closer (#4836) (by **yekuang**)
   - [Lang] Add single character property for vector swizzle &&  test (#4845) (by **Zhao Liang**)
   - [Bug] [ir] Fix and refactor type check for local stores (#4843) (by **Yi Xu**)
   - [Error] Provide source code info in warnings (#4840) (by **Yi Xu**)
   - [misc] Update pre-commit hooks (#4713) (by **pre-commit-ci[bot]**)
   - [Bug] [ir] Fix implicit cast warning for global stores (#4834) (by **Yi Xu**)
   - [mesh] Remove link hints from ti.Mesh (#4825) (by **yixu**)
   - [Lang] Remove obsolete vectypes class (#4831) (by **LiangZhao**)
   - [doc] Fix doc link (#4835) (by **yekuang**)
   - [Doc] LLVM sparse runtime design doc (#4790) (by **yekuang**)
   - [Lang] Add support for keyword arguments (#4794) (by **Lin Jiang**)
   - [Lang] Support swizzles on all Matrix/Vector types (#4828) (by **yekuang**)
   - [test] Add simple test for offline-cache-key of compile-config (#4805) (by **PGZXB**)
   - [vulkan] Device API blending (#4815) (by **Bob Cao**)
   - [spirv] Fix int casts (#4814) (by **Bob Cao**)
   - [gui] Only call ImGui_ImplVulkan_Shutdown if it's initialized (#4827) (by **Ailing**)
   - [ci] Use a new PAT for project with org permission (#4826) (by **Frost Ming**)
   - [Lang] Add 2d and 3d rotation functions to math module (#4822) (by **Zhao Liang**)
   - [Doc] Proofread Getting started (#4682) (by **Vissidarte-Herman**)
   - [Doc] Editorial review to fields (advanced) (#4686) (by **Vissidarte-Herman**)
   - [bug] Fix bug that building with gcc9.4 will fail (#4823) (by **PGZXB**)
   - [SIMT] Add shfl_down_f32 intrinsic. (#4819) (by **Chun Cai**)
   - [workflow] Add issues to project when issue opened (#4816) (by **Frost Ming**)
   - [vulkan] Fix vulkan initialization on macOS with cpu backend (#4813) (by **Bob Cao**)
   - [Doc] [mesh] Update docstring for ti.Mesh (#4818) (by **Chang Yu**)
   - [vulkan] Fix Vulkan device score bug (#4803) (by **Andrew Sun**)
   - [Lang] Walkaround Vulkan backend behavior which changes cwd on Mac (#4812) (by **TiGeekMan**)
   - [misc] Add SNode to offline-cache key (#4716) (by **PGZXB**)
   - [Lang] Add mod function to math module (#4809) (by **Zhao Liang**)
   - [doc] Fix doc of running C++ tests (#4798) (by **Yi Xu**)
   - [Lang] Support in-place operator of ti.Matrix in python scope (#4799) (by **Lin Jiang**)
   - [Lang] [ir] Move short-circuit boolean logic into AST-to-IR passes (#4580) (by **daylily**)
   - [lang] Fix frontend type check for sqrt, log, exp (#4797) (by **Yi Xu**)
   - [Doc] Remove redundant semicolon in path (#4801) (by **gaoxinge**)
   - [Lang] [ir] Promote output type of log, exp, and sqrt ops (#4622) (by **Andrew Sun**)
   - [ci] Update ci images to use latest git (#4792) (by **Bo Qiao**)
   - [Lang] Fix integral type promotion rules (e.g., u8 + u8 now leads to u8 instead of i32) (#4789) (by **Yuanming Hu**)
   - [Lang] Add basic complex arithmetic and add a mandelbrot example (#4780) (by **Zhao Liang**)
   - Update index.md (#4791) (by **Bob Cao**)
   - [spirv] Add 16 bit float immediate number (#4787) (by **Bob Cao**)
   - [ci] Update ubuntu 18.04 image to use latest git (#4785) (by **Frost Ming**)
   - [lang] Store relations with 16-bit type (#4779) (by **Chang Yu**)
   - [Autodiff] Implement ti.ad.no_grad to skip autograd (#4751) (by **Shawn Yao**)
   - [misc] Remove some unnecessary attributes from offline-cache key of compile-config (#4770) (by **PGZXB**)
   - [doc] Update install instruction with "--upgrade" (#4775) (by **Yuanming Hu**)
   - Expose VboHelpers class (#4773) (by **Ailing**)
   - Bump version to v1.0.1 (#4774) (by **Taichi Gardener**)
   - [refactor] Merge Kernel.argument_names and argument_annotations (#4753) (by **dongqi shen**)
   - [dx11] Constant buffer binding and AtomicIncrement in RAND_STATE (#4650) (by **quadpixels**)
   - [example] Add diff sph demo (#4769) (by **Mingrui Zhang**)
   - [autodiff] Fix nullptr during adjoint codegen (#4771) (by **Ye Kuang**)
   - [bug] Fix kernel profiler on CPU backend (#4768) (by **Lin Jiang**)
   - [example] Fix taichi_dynamic example (#4767) (by **Yi Xu**)
   - [aot] Provide a convenient API to set devallocation as argument (#4762) (by **Ailing**)
   - [Lang] Deprecate ti.pyfunc (#4764) (by **Lin Jiang**)
   - [misc] Bump version to v1.0.0 (#4763) (by **Yi Xu**)
   - [SIMT] Add all_sync warp intrinsics (#4718) (by **Yongmin Hu**)
   - [doc] Taichi spec: calls, unary ops, binary ops and comparison (#4663) (by **squarefk**)
   - [SIMT] Add any_sync warp intrinsics (#4719) (by **Yongmin Hu**)
   - [Doc] Update community standard (#4759) (by **notginger**)
   - [Doc] Propose the RFC process (#4755) (by **Ye Kuang**)
   - [Doc] Fixed a broken link (#4758) (by **Vissidarte-Herman**)
   - [Doc] Taichi spec: conditional expressions and simple statements (#4728) (by **Xiangyun Yang**)
   - [bug] [lang] Let matrix initialize to the target type (#4744) (by **Lin Jiang**)
   - [ci] Fix ci nightly (#4754) (by **Bo Qiao**)
   - [doc] Taichi spec: compound statements, if, while (#4658) (by **Lin Jiang**)
   - [build] Simplify build command for android (#4752) (by **Ailing**)
   - [lang] Add PolygonMode enum for rasterizer (#4750) (by **Ye Kuang**)
   - [Aot] Support template args in AOT module add_kernel (#4748) (by **Ye Kuang**)
   - [lang] Support in-place operations on math vectors (#4738) (by **Lin Jiang**)
   - [ci] Add python 3.6 and 3.10 to nightly release (#4740) (by **Bo Qiao**)
   - [Android] Fix Android get height issue (#4743) (by **Ye Kuang**)
   - Updated logo (#4745) (by **Vissidarte-Herman**)
   - [Error] Raise an error when non-static condition is passed into ti.static_assert (#4735) (by **Lin Jiang**)
   - [Doc] Taichi spec: For (#4689) (by **Lin Jiang**)
   - [SIMT] [cuda] Use correct source lane offset for warp intrinsics (#4734) (by **Bo Qiao**)
   - [SIMT] Add shfl_xor_i32 warp intrinsics (#4642) (by **Yongmin Hu**)
   - [Bug] Fix warnings (#4730) (by **Peng Yu**)
   - [Lang] Add vector swizzle feature to math module (#4629) (by **TiGeekMan**)
   - [Doc] Taichi spec: static expressions (#4702) (by **Lin Jiang**)
   - [Doc] Taichi spec: assignment expressions (#4725) (by **Xiangyun Yang**)
   - [mac] Fix external_func test failures on arm backend (#4733) (by **Ailing**)
   - [doc] Fix deprecated tools APIs in docs, tests, and examples (#4729) (by **Yi Xu**)
   - [ci] Switch to self-hosted PyPI for nightly release (#4706) (by **Bo Qiao**)
   - [Doc] Taichi spec: boolean operations (#4724) (by **Xiangyun Yang**)
   - [doc] Fix deprecated profiler APIs in docs, tests, and examples (#4726) (by **Yi Xu**)
   - [spirv] Ext arr name should include arg id (#4727) (by **Ailing**)
   - [SIMT] Add shfl_sync_i32/f32 warp intrinsics (#4717) (by **Yongmin Hu**)
   - [Lang] Add 2x2/3x3 matrix solve with Guass elimination (#4634) (by **Peng Yu**)
   - [metal] Tweak Device to support Ndarray (#4721) (by **Ye Kuang**)
   - [build] Fix non x64 linux builds (#4715) (by **Bob Cao**)
   - [Doc] Fix 4 typos in doc (#4714) (by **Jiayi Weng**)
   - [simt] Subgroup reduction primitives (#4643) (by **Bob Cao**)
   - [misc] Remove legacy LICENSE.txt (#4708) (by **Yi Xu**)
   - [gui] Make GGUI VBO configurable for mesh (#4707) (by **Yuheng Zou**)
   - [Docs] Change License from MIT to Apache-2.0 (#4701) (by **notginger**)
   - [Doc] Update docstring for module misc (#4644) (by **Zhao Liang**)
   - [doc] Proofread GGUI.md (#4676) (by **Vissidarte-Herman**)
   - [refactor] Remove Expression::serialize and add ExpressionHumanFriendlyPrinter (#4657) (by **PGZXB**)
   - [Doc] Remove extension_libraries in doc site (#4696) (by **LittleMan**)
   - [Lang] Let assertion error message support f-string (#4700) (by **Lin Jiang**)
   - [Doc] Taichi spec: prims, attributes, subscriptions, slicings (#4697) (by **Yi Xu**)
   - [misc] Add compile-config to offline-cache key (#4681) (by **PGZXB**)
   - [refactor] Remove legacy usage of ext_arr/any_arr in codebase (#4698) (by **Yi Xu**)
   - [doc] Taichi spec: pass, return, break, and continue (#4656) (by **Lin Jiang**)
   - [bug] Fix chain assignment (#4695) (by **Lin Jiang**)
   - [Doc] Refactored GUI.md (#4672) (by **Vissidarte-Herman**)
   - [misc] Update linux version name (#4685) (by **Jiasheng Zhang**)
   - [bug] Fix ndrange when start > end (#4690) (by **Lin Jiang**)
